Bio::Seq::RichSeqI(3)

NAME
Bio::Seq::RichSeqI - RichSeq interface, mainly for database orientated sequences

SYNOPSIS
    @secondary   = $richseq->get_secondary_accessions;
    $division    = $richseq->division;
    $mol         = $richseq->molecule;
    @dates       = $richseq->get_dates;
    $seq_version = $richseq->seq_version;
    $pid         = $richseq->pid;

DESCRIPTION
This interface extends the Bio::SeqI interface to give additional functionality to sequences with richer data sources, in particular from database sequences (EMBL, GenBank and Swissprot).

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably
 to one of the Bioperl mailing lists. Your participation is much appreciated.

  bioperl-l@bioperl.org                 - General discussion
  http://bio.perl.org/MailList.html             - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track
 the bugs and their resolution.
 Bug reports can be submitted via email or the web:

  bioperl-bugs@bio.perl.org
  http://bio.perl.org/bioperl-bugs/

AUTHOR - Ewan Birney
Email birney@ebi.ac.uk

Describe contact details here

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  get_secondary_accessions
 Title   : get_secondary_accessions
 Usage   :
 Function: Get the secondary accessions for a sequence.
 Example :
 Returns : an array of strings
 Args    : none

  division
 Title   : division
 Usage   :
 Function: Get (and set, depending on the implementation) the divison for
           a sequence.
           Examples from GenBank are PLN (plants), PRI (primates), etc.
 Example :
 Returns : a string
 Args    :

  molecule
 Title   : molecule
 Usage   :
 Function: Get (and set, depending on the implementation) the molecule
           type for the sequence.
           This is not necessarily the same as Bio::PrimarySeqI::moltype(),
           because it is databank-specific.
 Example :
 Returns : a string
 Args    :

  pid
 Title   : pid
 Usage   :
 Function: Get (and set, depending on the implementation) the PID property
           for the sequence.
 Example :
 Returns : a string
 Args    :

  get_dates
 Title   : get_dates
 Usage   :
 Function: Get (and set, depending on the implementation) the dates the
           databank entry specified for the sequence
 Example :
 Returns : an array of strings
 Args    :

  seq_version
 Title   : seq_version
 Usage   :
 Function: Get (and set, depending on the implementation) the version string
           of the sequence.
 Example :
 Returns : a string
 Args    :